<?xml version="1.0" encoding="utf-8"?>
<FilingSummary xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Version>2.4.0.8</Version>
  <ProcessingTime />
  <ReportFormat>Html</ReportFormat>
  <ContextCount>257</ContextCount>
  <ElementCount>301</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>true</FootnotesReported>
  <SegmentCount>126</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>14</UnitCount>
  <MyReports>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>0001000 - Document - Document And Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/DocumentAndEntityInformation</Role>
      <ShortName>Document And Entity Information</ShortName>
    </Report>
    <Report>
      <IsDefault>true</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>1001000 - Statement - CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedBalanceSheets</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>1001501 - Statement - CONSOLIDATED BALANCE SHEETS (Parentheticals)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedBalanceSheetsParentheticals</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS (Parentheticals)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>1002000 - Statement - CONSOLIDATED STATEMENTS OF INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedStatementsOfIncome</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF INCOME</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>1003000 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedStatementsOfComprehensiveIncome</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>1003000 - Statement - CONSOLIDATED STATEMENTS OF SHAREHOLDERS' EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedStatementsOfShareholdersEquity</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF SHAREHOLDERS' EQUITY</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>1003501 - Statement - CONSOLIDATED STATEMENTS OF SHAREHOLDERS' EQUITY (Parentheticals)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedStatementsOfShareholdersEquityParentheticals</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF SHAREHOLDERS' EQUITY (Parentheticals)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>1004000 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedStatementsOfCashFlows</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>1004501 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS (Parentheticals)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ConsolidatedStatementsOfCashFlowsParentheticals</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS (Parentheticals)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>2101100 - Disclosure - ORGANIZATION AND BASIS OF PRESENTATION</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/OrganizationAndBasisOfPresentation</Role>
      <ShortName>ORGANIZATION AND BASIS OF PRESENTATION</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>2102100 - Disclosure - EARNINGS PER COMMON SHARE</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/EarningsPerCommonShare</Role>
      <ShortName>EARNINGS PER COMMON SHARE</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>2103100 - Disclosure - SHAREHOLDERS' EQUITY AND NONCONTROLLING INTERESTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ShareholdersEquityAndNoncontrollingInterests</Role>
      <ShortName>SHAREHOLDERS' EQUITY AND NONCONTROLLING INTERESTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>2104100 - Disclosure - ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/AcquisitionOfRealEstateAndDiscontinuedOperations</Role>
      <ShortName>ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>2105100 - Disclosure - INVESTMENTS IN AND ADVANCES TO UNCONSOLIDATED AFFILIATES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/InvestmentsInAndAdvancesToUnconsolidatedAffiliates</Role>
      <ShortName>INVESTMENTS IN AND ADVANCES TO UNCONSOLIDATED AFFILIATES</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>2106100 - Disclosure - NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.acadiarealty.com/role/NotesReceivableAndPreferredEquityInvestmentsNet</Role>
      <ShortName>NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>2107100 - Disclosure - DERIVATIVE FINANCIAL INSTRUMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/DerivativeFinancialInstruments</Role>
      <ShortName>DERIVATIVE FINANCIAL INSTRUMENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>2108100 - Disclosure - MORTGAGE AND OTHER NOTES PAYABLE</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.acadiarealty.com/role/MortgageAndOtherNotesPayable</Role>
      <ShortName>MORTGAGE AND OTHER NOTES PAYABLE</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>2110100 - Disclosure - FAIR VALUE MEASUREMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/FairValueMeasurements</Role>
      <ShortName>FAIR VALUE MEASUREMENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>2111100 - Disclosure - RELATED PARTY TRANSACTIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/RelatedPartyTransactions</Role>
      <ShortName>RELATED PARTY TRANSACTIONS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>2112100 - Disclosure - SEGMENT REPORTING</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/SegmentReporting</Role>
      <ShortName>SEGMENT REPORTING</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>2113100 - Disclosure - LONG-TERM INCENTIVE COMPENSATION</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/LongTermIncentiveCompensation</Role>
      <ShortName>LONG-TERM INCENTIVE COMPENSATION</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>2114100 - Disclosure - SUBSEQUENT EVENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/SubsequentEvents</Role>
      <ShortName>SUBSEQUENT EVENTS</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>2201201 - Disclosure - ORGANIZATION AND BASIS OF PRESENTATION (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/OrganizationAndBasisOfPresentationPolicies</Role>
      <ShortName>ORGANIZATION AND BASIS OF PRESENTATION (Policies)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>2301302 - Disclosure - ORGANIZATION AND BASIS OF PRESENTATION (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/OrganizationAndBasisOfPresentationTables</Role>
      <ShortName>ORGANIZATION AND BASIS OF PRESENTATION (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>2302301 - Disclosure - EARNINGS PER COMMON SHARE (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/EarningsPerCommonShareTables</Role>
      <ShortName>EARNINGS PER COMMON SHARE (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>2304301 - Disclosure - ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/AcquisitionOfRealEstateAndDiscontinuedOperationsTables</Role>
      <ShortName>ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>2305301 - Disclosure - INVESTMENTS IN AND ADVANCES TO UNCONSOLIDATED AFFILIATES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/InvestmentsInAndAdvancesToUnconsolidatedAffiliatesTables</Role>
      <ShortName>INVESTMENTS IN AND ADVANCES TO UNCONSOLIDATED AFFILIATES (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>2306301 - Disclosure - NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET (Tables)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.acadiarealty.com/role/NotesReceivableAndPreferredEquityInvestmentsNetTables</Role>
      <ShortName>NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>2310301 - Disclosure - FAIR VALUE MEASUREMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/FairValueMeasurementsTables</Role>
      <ShortName>FAIR VALUE MEASUREMENTS (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>2312301 - Disclosure - SEGMENT REPORTING (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/SegmentReportingTables</Role>
      <ShortName>SEGMENT REPORTING (Tables)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>2401403 - Disclosure - ORGANIZATION AND BASIS OF PRESENTATION (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/OrganizationAndBasisOfPresentationDetails</Role>
      <ShortName>ORGANIZATION AND BASIS OF PRESENTATION (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>2401404 - Disclosure - ORGANIZATION AND BASIS OF PRESENTATION Summary of General Terms and Operating Partnership's Equity Interests (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/OrganizationAndBasisOfPresentationSummaryOfGeneralTermsAndOperatingPartnershipsEquityInterestsDetails</Role>
      <ShortName>ORGANIZATION AND BASIS OF PRESENTATION Summary of General Terms and Operating Partnership's Equity Interests (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>2402402 - Disclosure - EARNINGS PER COMMON SHARE (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/EarningsPerCommonShareDetails</Role>
      <ShortName>EARNINGS PER COMMON SHARE (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>2403401 - Disclosure - SHAREHOLDERS' EQUITY AND NONCONTROLLING INTERESTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/ShareholdersEquityAndNoncontrollingInterestsDetails</Role>
      <ShortName>SHAREHOLDERS' EQUITY AND NONCONTROLLING INTERESTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>2404402 - Disclosure - ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS Acquisitions (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/AcquisitionOfRealEstateAndDiscontinuedOperationsAcquisitionsDetails</Role>
      <ShortName>ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS Acquisitions (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>2404403 - Disclosure - ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS Dispositions (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/AcquisitionOfRealEstateAndDiscontinuedOperationsDispositionsDetails</Role>
      <ShortName>ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS Dispositions (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>2404404 - Disclosure - ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS Discontinued Operations Results of Operations (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/AcquisitionOfRealEstateAndDiscontinuedOperationsDiscontinuedOperationsResultsOfOperationsDetails</Role>
      <ShortName>ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS Discontinued Operations Results of Operations (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>2405402 - Disclosure - INVESTMENTS IN AND ADVANCES TO UNCONSOLIDATED AFFILIATES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/InvestmentsInAndAdvancesToUnconsolidatedAffiliatesDetails</Role>
      <ShortName>INVESTMENTS IN AND ADVANCES TO UNCONSOLIDATED AFFILIATES (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>2406402 - Disclosure - NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET Schedule of Notes Receivable (Details)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.acadiarealty.com/role/NotesReceivableAndPreferredEquityInvestmentsNetScheduleOfNotesReceivableDetails</Role>
      <ShortName>NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET Schedule of Notes Receivable (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>2406403 - Disclosure - NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET Allowance for Notes Receivable (Details)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.acadiarealty.com/role/NotesReceivableAndPreferredEquityInvestmentsNetAllowanceForNotesReceivableDetails</Role>
      <ShortName>NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET Allowance for Notes Receivable (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>2407401 - Disclosure - DERIVATIVE FINANCIAL INSTRUMENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/DerivativeFinancialInstrumentsDetails</Role>
      <ShortName>DERIVATIVE FINANCIAL INSTRUMENTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>2408401 - Disclosure - MORTGAGE AND OTHER NOTES PAYABLE (Details)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.acadiarealty.com/role/MortgageAndOtherNotesPayableDetails</Role>
      <ShortName>MORTGAGE AND OTHER NOTES PAYABLE (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>2410402 - Disclosure - FAIR VALUE MEASUREMENTS Schedule of Fair Value, Assets and Liabilities Measured on Recurring Basis (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/FairValueMeasurementsScheduleOfFairValueAssetsAndLiabilitiesMeasuredOnRecurringBasisDetails</Role>
      <ShortName>FAIR VALUE MEASUREMENTS Schedule of Fair Value, Assets and Liabilities Measured on Recurring Basis (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>2410403 - Disclosure - FAIR VALUE MEASUREMENTS Fair Value by Balance Sheet Grouping (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/FairValueMeasurementsFairValueByBalanceSheetGroupingDetails</Role>
      <ShortName>FAIR VALUE MEASUREMENTS Fair Value by Balance Sheet Grouping (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>2411401 - Disclosure - RELATED PARTY TRANSACTIONS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/RelatedPartyTransactionsDetails</Role>
      <ShortName>RELATED PARTY TRANSACTIONS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>2412402 - Disclosure - SEGMENT REPORTING (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/SegmentReportingDetails</Role>
      <ShortName>SEGMENT REPORTING (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>2413401 - Disclosure - LONG-TERM INCENTIVE COMPENSATION (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/LongTermIncentiveCompensationDetails</Role>
      <ShortName>LONG-TERM INCENTIVE COMPENSATION (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>2414401 - Disclosure - SUBSEQUENT EVENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.acadiarealty.com/role/SubsequentEventsDetails</Role>
      <ShortName>SUBSEQUENT EVENTS (Details)</ShortName>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <Logs>
    <Log type="Info">Element us-gaap_CommonStockSharesOutstanding had a mix of decimals attribute values: -3 0.</Log>
    <Log type="Info">Element us-gaap_DerivativeAssets had a mix of decimals attribute values: -5 -3.</Log>
    <Log type="Info">Element us-gaap_DerivativeLiabilities had a mix of decimals attribute values: -5 -3.</Log>
    <Log type="Info">Element us-gaap_EquityMethodInvestmentDividendsOrDistributions had a mix of decimals attribute values: -5 -3.</Log>
    <Log type="Info">Element us-gaap_EquityMethodInvestmentOwnershipPercentage had a mix of decimals attribute values: 2 4.</Log>
    <Log type="Info">Element us-gaap_LongTermDebt had a mix of decimals attribute values: -5 -3.</Log>
    <Log type="Info">Element us-gaap_ProceedsFromCollectionOfNotesReceivable had a mix of decimals attribute values: -5 -3.</Log>
    <Log type="Info">Element us-gaap_ProceedsFromIssuanceOfCommonStock had a mix of decimals attribute values: -5 -3.</Log>
    <Log type="Info">Element us-gaap_RelatedPartyTransactionExpensesFromTransactionsWithRelatedParty had a mix of decimals attribute values: -4 -3.</Log>
    <Log type="Info">Element us-gaap_ShareBasedCompensation had a mix of decimals attribute values: -5 -3.</Log>
    <Log type="Info">'Shares' elements on report '2403401 - Disclosure - SHAREHOLDERS' EQUITY AND NONCONTROLLING INTERESTS (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2403401 - Disclosure - SHAREHOLDERS' EQUITY AND NONCONTROLLING INTERESTS (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2404402 - Disclosure - ACQUISITION OF REAL ESTATE AND DISCONTINUED OPERATIONS Acquisitions (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2405402 - Disclosure - INVESTMENTS IN AND ADVANCES TO UNCONSOLIDATED AFFILIATES (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2406402 - Disclosure - NOTES RECEIVABLE AND PREFERRED EQUITY INVESTMENTS, NET Schedule of Notes Receivable (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2407401 - Disclosure - DERIVATIVE FINANCIAL INSTRUMENTS (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2408401 - Disclosure - MORTGAGE AND OTHER NOTES PAYABLE (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2411401 - Disclosure - RELATED PARTY TRANSACTIONS (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">'Monetary' elements on report '2413401 - Disclosure - LONG-TERM INCENTIVE COMPENSATION (Details)' had a mix of different decimal attribute values.</Log>
    <Log type="Info">Process Flow-Through: 1001000 - Statement - CONSOLIDATED BALANCE SHEETS</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Jun. 30, 2013'</Log>
    <Log type="Info">	Process Flow-Through: Removing column 'Dec. 31, 2012'</Log>
    <Log type="Info">Process Flow-Through: 1001501 - Statement - CONSOLIDATED BALANCE SHEETS (Parentheticals)</Log>
    <Log type="Info">Process Flow-Through: 1002000 - Statement - CONSOLIDATED STATEMENTS OF INCOME</Log>
    <Log type="Info">Process Flow-Through: 1003000 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME</Log>
    <Log type="Info">Process Flow-Through: 1003501 - Statement - CONSOLIDATED STATEMENTS OF SHAREHOLDERS' EQUITY (Parentheticals)</Log>
    <Log type="Info">Process Flow-Through: 1004000 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</Log>
    <Log type="Info">Process Flow-Through: 1004501 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS (Parentheticals)</Log>
  </Logs>
  <InputFiles>
    <File>akr-20140630.xml</File>
    <File>akr-20140630.xsd</File>
    <File>akr-20140630_cal.xml</File>
    <File>akr-20140630_def.xml</File>
    <File>akr-20140630_lab.xml</File>
    <File>akr-20140630_pre.xml</File>
  </InputFiles>
  <SupplementalFiles />
  <BaseTaxonomies />
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
